package com.yeejoin.amos.api.householdapi.constant;

import org.apache.xmlbeans.impl.xb.xsdschema.Public;

import java.time.format.DateTimeFormatter;
import java.util.HashMap;

/**
 * 锦浪云常量
 */
public class GoLangConstant {
    public static final HashMap<String, String> stationStaus = new HashMap<String, String>() {
        {
            put("1", "在线");
            put("2", "离线");
            put("3", "报警");
        }
    };
    public static final HashMap<String, String> intoNetWorkStatus = new HashMap<String, String>() {
        {
            put("0", "普通并网");
            put("1", "储能电站");
            put("2", "AC无逆变器电站");
            put("3", "EPM电站");
            put("4", "内置电表");
            put("5", "外置电表");
        }
    };

    public static final HashMap<String, String> alarmLevel = new HashMap<String, String>() {
        {
            put("1", "提示");
            put("2", "一般");
            put("3", "紧急");
        }
    };

    public static final HashMap<String, String> alarmstatus = new HashMap<String, String>() {
        {
            put("0", "未处理");
            put("1", "已处理");
            put("2", "已恢复");
        }
    };
    public static String baseurl = "https://api.ginlong.com:13333";
    public static String tokenurl = "";
    public static String prodcerappid = "1300386381676732593";
    public static String prodcerappsecret = "9659623b4ebe432fae5d26bdc8a10217";
    public static String stationListUrl = "/v1/api/userStationList";
    public static String stationDetailUrl = "/v1/api/stationDetail";
    public static String collectorListUrl = "/v1/api/collectorList";
    public static String collectorDetailUrl = "/v1/api/collectorDetail";
    public static String inverterListUrl = "/v1/api/inverterList";
    public static String inverterDetailUrl = "/v1/api/inverterDetail";
    public static String alarmListUrl = "/v1/api/alarmList";
    public  static  String stationDayGenUrl ="/v1/api/stationDayEnergyList";
    public  static  String stationMonthEnergyList ="/v1/api/stationDayEnergyList";
    public  static  String stationYearEnergyList ="/v1/api/stationDayEnergyList";
    public  static  String inverterDayURL ="/v1/api/inverterDay";
    public  static  String inverterMonthURL ="/v1/api/inverterMonth";
    public  static  String inverterYearURL ="/v1/api/inverterYear";
    public static String resovleRule_data_page_records = "data,page,records";
    public static String resovleRule_data_records = "data,records";
    public static String resovleRule_data = "data";
    public static String requestPost = "POST";
    public static String datePattern = "yyyy-MM-dd HH:mm:ss.SSS";
    public static DateTimeFormatter formatter = DateTimeFormatter.ofPattern(datePattern);
    public static Double kwhToMwh = 0.0001;
    public static Double mwhTokwh = 1000.0;
}
